Bug 1015377 - Last Closed date is not adjusted to user's display timezone
Last Closed date is not adjusted to user's display timezone
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Simon Green
Matt Tyson
:
Depends On:
Blocks: 1318531
  Show dependency treegraph
 
Reported: 2013-10-04 00:26 EDT by Jason McDonald
Modified: 2016-03-17 03:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.1013
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1318531 (view as bug list)
Environment:
Last Closed: 2014-02-03 20:13:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 946090 None None None Never

  None (edit)
Description Jason McDonald 2013-10-04 00:26:15 EDT
Description of problem:
In the Preferences page, there is a setting for "Timezone used to display dates and times".  If I set a value for this, most times are displayed correctly in my selected timezone, but the Last Closed field is not.

Version-Release number of selected component (if applicable):
4.4.0009

How reproducible:
Always

Steps to Reproduce:
1. Go to https://bugzilla.redhat.com/userprefs.cgi
2. Change the "Timezone used to display dates and times" field to "Australia/Brisbane"
3. Go to https://bugzilla.redhat.com/show_bug.cgi?id=950315

Actual results:
Reported and Modified dates are correctly shown with EST timezone, but Last Closed is shown with no timezone (and thus differs from Modified by 14 hours).

Expected results:
all dates and times should be shown adjusted for the user's selected timezone.

Additional info:
none.
Comment 4 Jason McDonald 2014-02-03 20:13:36 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.